LibOFX: OfxGenericContainer Class Reference

- Main Page
- Namespaces
- Data Structures
- Files
- Related Pages

- Data Structures
- Class Hierarchy
- Data Fields

# OfxGenericContainer Class Reference

Inheritance diagram for OfxGenericContainer:

## Detailed Description

A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer.

A hierarchy of containers is built as the file is parsed. The supported OFX elements all have a matching container. The others are assigned a OfxDummyContainer, so every OFX element creates a container as the file is par Note however that containers are destroyed as soon as the corresponding SGML element is closed.

Definition at line 33 of file ofx_containers.hh.

## Public Member Functions
| OfxGenericContainer (LibofxContext *p_libofx_context)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
virtual | ~OfxGenericContainer ()
virtual void | add_attribute (const string identifier, const string value)
| Add data to a container object.
virtual int | gen_event ()
| Generate libofx.h events.
virtual int | add_to_main_tree ()
| Add this container to the main tree.
OfxGenericContainer * | getparent ()
| Returns the parent container object (the one representing the containing OFX SGML element).
| OfxGenericContainer (LibofxContext *p_libofx_context)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
virtual | ~OfxGenericContainer ()
virtual void | add_attribute (const string identifier, const string value)
| Add data to a container object.
virtual int | gen_event ()
| Generate libofx.h events.
virtual int | add_to_main_tree ()
| Add this container to the main tree.
OfxGenericContainer * | getparent ()
| Returns the parent container object (the one representing the containing OFX SGML element).
## Data Fields
string | type
string | tag_identifier
OfxGenericContainer * | parentcontainer
LibofxContext * | libofx_context
OfxGenericContainer * | parentcontainer
LibofxContext * | libofx_context

## Member Function Documentation

void OfxGenericContainer::add_attribute | ( | const string | identifier,
|  | const string | value |
| ) |  |  | `[virtual]`

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters:

  | identifier | The name of the data element
  | value | The concatenated string of the data

Reimplemented in OfxDummyContainer, OfxPushUpContainer, OfxStatusContainer, OfxBalanceContainer, OfxStatementContainer, OfxAccountContainer, OfxSecurityContainer, OfxTransactionContainer, OfxBankTransactionContainer, OfxInvestmentTransactionContainer, OfxDummyContainer, OfxPushUpContainer, OfxStatusContainer, OfxBalanceContainer, OfxStatementContainer, OfxAccountContainer, OfxSecurityContainer, OfxTransactionContainer, OfxBankTransactionContainer, and OfxInvestmentTransactionContainer.

Definition at line 55 of file ofx_container_generic.cpp.

Referenced by OfxBalanceContainer::add_attribute(), OfxStatusContainer::add_attribute(), OfxPushUpContainer::add_attribute(), OfxTransactionContainer::add_attribute(), OfxStatementContainer::add_attribute(), OfxSecurityContainer::add_attribute(), OfxAccountContainer::add_attribute(), OFXApplication::endElement(), and OFCApplication::endElement().

int OfxGenericContainer::gen_event | ( |  | ) | `[virtual]`

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns:
  true if a callback function vas called, false otherwise.

Reimplemented in OfxStatementContainer, OfxAccountContainer, OfxSecurityContainer, OfxTransactionContainer, OfxMainContainer, OfxStatementContainer, OfxAccountContainer, OfxSecurityContainer, OfxTransactionContainer, and OfxMainContainer.

Definition at line 66 of file ofx_container_generic.cpp.

Referenced by OfxMainContainer::add_container().

int OfxGenericContainer::add_to_main_tree | ( |  | ) | `[virtual]`

Add this container to the main tree.

add_to_main_treegen_event will add the container to the main trees stored int the OfxMainContainer.

Returns:
  true if successfull, false otherwise.

Reimplemented in OfxStatementContainer, OfxAccountContainer, OfxSecurityContainer, OfxTransactionContainer, OfxStatementContainer, OfxAccountContainer, OfxSecurityContainer, and OfxTransactionContainer.

Definition at line 72 of file ofx_container_generic.cpp.

Referenced by OFXApplication::endElement(), and OFCApplication::endElement().

virtual void OfxGenericContainer::add_attribute | ( | const string | identifier,
|  | const string | value |
| ) |  |  | `[virtual]`

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters:

  | identifier | The name of the data element
  | value | The concatenated string of the data

Reimplemented in OfxDummyContainer, OfxPushUpContainer, OfxStatusContainer, OfxBalanceContainer, OfxStatementContainer, OfxAccountContainer, OfxSecurityContainer, OfxTransactionContainer, OfxBankTransactionContainer, OfxInvestmentTransactionContainer, OfxDummyContainer, OfxPushUpContainer, OfxStatusContainer, OfxBalanceContainer, OfxStatementContainer, OfxAccountContainer, OfxSecurityContainer, OfxTransactionContainer, OfxBankTransactionContainer, and OfxInvestmentTransactionContainer.

virtual int OfxGenericContainer::gen_event | ( |  | ) | `[virtual]`

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns:
  true if a callback function vas called, false otherwise.

Reimplemented in OfxStatementContainer, OfxAccountContainer, OfxSecurityContainer, OfxTransactionContainer, OfxMainContainer, OfxStatementContainer, OfxAccountContainer, OfxSecurityContainer, OfxTransactionContainer, and OfxMainContainer.

virtual int OfxGenericContainer::add_to_main_tree | ( |  | ) | `[virtual]`

Add this container to the main tree.

add_to_main_treegen_event will add the container to the main trees stored int the OfxMainContainer.

Returns:
  true if successfull, false otherwise.

Reimplemented in OfxStatementContainer, OfxAccountContainer, OfxSecurityContainer, OfxTransactionContainer, OfxStatementContainer, OfxAccountContainer, OfxSecurityContainer, and OfxTransactionContainer.

## Field Documentation

string OfxGenericContainer::type

The type of the object, often == tag_identifier

Definition at line 35 of file ofx_containers.hh.

Referenced by OfxStatusContainer::add_attribute(), add_attribute(), OFXApplication::endElement(), OFCApplication::endElement(), OfxAccountContainer::OfxAccountContainer(), OfxBalanceContainer::OfxBalanceContainer(), OfxDummyContainer::OfxDummyContainer(), OfxGenericContainer(), OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer(), OfxPushUpContainer::OfxPushUpContainer(), OfxSecurityContainer::OfxSecurityContainer(), OfxStatementContainer::OfxStatementContainer(), OfxStatusContainer::OfxStatusContainer(), OfxTransactionContainer::OfxTransactionContainer(), OFXApplication::startElement(), OFCApplication::startElement(), and OfxBalanceContainer::~OfxBalanceContainer().

string OfxGenericContainer::tag_identifier

The identifer of the creating tag

Definition at line 36 of file ofx_containers.hh.

Referenced by OfxDummyContainer::add_attribute(), OfxStatementContainer::add_balance(), OfxMainContainer::add_container(), OFXApplication::endElement(), OFCApplication::endElement(), OfxGenericContainer(), OfxPushUpContainer::OfxPushUpContainer(), and OfxStatusContainer::OfxStatusContainer().

The documentation for this class was generated from the following files:

- ofx_containers.hh
- fx-0.9.1/lib/ofx_containers.hh
- ofx_container_generic.cpp
- fx-0.9.1/lib/ofx_container_generic.cpp